package ei.game.scene.weapons;

import ei.engine.effects.Particles;
import ei.engine.math.Vector2f;
import ei.game.network.entities.NetworkWepon;

/**
 * 
 * @author Ziver
 *
 */
public class Explotion extends NetworkWepon{
	private Particles part;
	
	public Explotion(Vector2f startPos) {
		super(startPos);
		setVelocity(4);
		setRange(Integer.MIN_VALUE);
		setDamage(Integer.MIN_VALUE);
		setReload(Integer.MAX_VALUE);
	}
	
	public Particles getWeapon() {
		part = new Particles("bomber");
		part = new Particles("weapon");
		part.MaxSpeedX=700;
		part.MaxSpeedY=700;
		part.MaxSpeedZ=0;
		part.slowdown = 1;
		part.rainbow = false;
		part.regenerate = false;
		part.size=10;
		float colors[][][]=       // Rainbow Of Colors
	    {
	        {{1.0f,1.0f,0.0f},{0.74f,0.74f,0.74f}}
	        
	    };
		part.colors = colors;
		return part;
	}
	
	public void update() {		
		if(part.isDead()) {
			WeaponHandler.getInstance().removeWeapon(this);
		}
		
	}

}
